***

title: live_translate
slug: /reference/python/rest/calling/live-translate
description: Start live translation on an active call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Start live translation on an active call. Spoken audio is transcribed and
translated in real time to a target language.

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

client.calling.live_translate(
    call_id="call-id-xxx",
    action={
        "start": {
            "from_lang": "en-US",
            "to_lang": "es-ES",
            "direction": ["local-caller", "remote-caller"],
            "from_voice": "elevenlabs.josh",
            "to_voice": "elevenlabs.josh",
        }
    },
)
```